GNU bug report logs - #16909
24.3; scrolling *Completions* window with tab sometimes chooses a wrong window

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lukasz Pawelczyk <havner@HIDDEN>; dated Fri, 28 Feb 2014 16:49:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 6 Mar 2014 17:27:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 12:27:41 2014
Received: from localhost ([127.0.0.1]:53569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLc57-00020z-CM
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 12:27:41 -0500
Received: from mout.gmx.net ([212.227.15.18]:65349)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLc54-00020q-Uc
 for 16909 <at> debbugs.gnu.org; Thu, 06 Mar 2014 12:27:39 -0500
Received: from [188.22.234.36] ([188.22.234.36]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0M2tXS-1XDzx82pT4-00sdkH; Thu, 06 Mar 2014 18:27:37
 +0100
Message-ID: <5318AFFE.20509@HIDDEN>
Date: Thu, 06 Mar 2014 18:27:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lukasz Pawelczyk <havner@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes
 chooses a wrong window
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>	<5310D459.8040504@HIDDEN>	<6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>	<5311CA73.2030709@HIDDEN>	<CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>	<53123279.6070203@HIDDEN>	<B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>	<5316D1BC.3000804@HIDDEN>	<CACL4Mm8_EeAurDP1zCtg+WJoWiaHAv5-OBXmJ3m6_Ns4HT26Vw@HIDDEN>	<53172EB6.4010902@HIDDEN>
 <CACL4Mm_CrU=cs0otw29YCW=vcQuP9ZaV7S3hJ=cax8aHL9B0cA@HIDDEN>
In-Reply-To: <CACL4Mm_CrU=cs0otw29YCW=vcQuP9ZaV7S3hJ=cax8aHL9B0cA@HIDDEN>
Content-Type: multipart/mixed; boundary="------------040800030306070805090902"
X-Provags-ID: V03:K0:RTv98VMuDuGZbP/Ldk7x55l0Z+ImmNerqDE8KbKJLHz+klsCFCv
 gfE4vM2Vdq93JkoY5Fb05Xx+Y/rxIxdHqOoliddI9PfPjuromRBNuAlwWub/YrXS8HWjaOU
 SkR8ybw5Yjz5JfQ/iEN5XLik2Q6VgPjHfIqYsoFhenqYrBTLnegBdDBeQa/HEJ6ypbgovr3
 hvZdc3I1MF1T8mZ8gX6FQ==
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is a multi-part message in MIME format.
--------------040800030306070805090902
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

 > Yes, I just have (for the first time, my bug report was about 24.3).
 > And 2 things:
 >
 > 1. I still get invalid buffer, Meaning:
 > - (setq other-window-scroll-buffer "*Completions*")
 > - C-M-v always scrolls Completions buffer as it should
 > - kill the completions buffer
 > - C-M-v -> "Invalid buffer'

I checked in another fix.  Try now with emacs -Q

(progn
   (with-current-buffer (get-buffer-create "*foo*")
     (dotimes (i 100)
       (insert "foo......\n\n....foo....\n\n......foo\n\n....foo...."))
     (goto-char (point-min)))
   (display-buffer "*foo*")
   (with-current-buffer (get-buffer-create "*bar*")
     (dotimes (i 100)
       (insert "bar......\n\n....bar....\n\n......bar\n\n....bar...."))
     (goto-char (point-min)))
   (set-window-buffer (split-window) "*bar*")
   (setq other-window-scroll-buffer (get-buffer "*foo*")))

and do C-M-v.  It should scroll *foo*'s window.  Next do

(kill-buffer "*foo*")

It should scroll *bar*'s window now.

 > 2. But most interestingly, on the latest trunk I cannot reproduce my
 > original issue anymore.
 > Contrary to 24.3 TAB for auto-complete seems to work just fine. I'll
 > investigate this more
 > to make sure it really is as it should and will report my findings.
 > If it's just a coincidence (my local work environment is playing tricks on
 > me) I'll
 > try to implement some fix this weekend.
 >
 > Were you ever able to reproduce this issue on trunk? If so, when?

Always.  On the attached screenshot you see the selected window at the
bottom right and the *Completions* window at the bottom left.  I can't
scroll the *Completions* window via C-M-v from the selected window.  So
I'm afraid you still have to look into this.

martin

--------------040800030306070805090902
Content-Type: image/png;
 name="completions.png"
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="completions.png"
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--------------040800030306070805090902--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 6 Mar 2014 10:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 05:43:17 2014
Received: from localhost ([127.0.0.1]:52401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLVlk-0004el-CC
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 05:43:16 -0500
Received: from mail-ob0-f172.google.com ([209.85.214.172]:64103)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <havner@HIDDEN>) id 1WLVlh-0004ea-6s
 for 16909 <at> debbugs.gnu.org; Thu, 06 Mar 2014 05:43:14 -0500
Received: by mail-ob0-f172.google.com with SMTP id wm4so2354720obc.3
 for <16909 <at> debbugs.gnu.org>; Thu, 06 Mar 2014 02:43:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=FaQGieYPYpf9mTp4eIfTpouUpyrlEZt3mY0UrIDmTcY=;
 b=VewSH5CDcAWJoUtvO2Daod2Q7ECrp/IuSpFbfS8yNH/ivfzA6tYdlTngp0rgFQduTp
 vRJR1koRwjSGReXSKvFThhcHfJiu4v/gSodiS3fucuAjwy0Hj+/eu77lj4GGRUvHbGOR
 HSdjkQKsfL5OELSIGPl+JUfsWyqs2pNHcPZ64fJYKk285LFFp7Ivxa93XWGFrnRUUWJR
 ZpULVzgZ2k4A7xTkNgknIXtsSPGcwCTbEE52FczXTTxcx0Ll6YP5D1g7LkmXH8m+XTV8
 iye9rezKAEpvMh6xtW4tS8rdjE9+qsV6M5iPDGhxs1NLuZ2/xVN5iRdGv33ecc5cvOo/
 Tk8A==
MIME-Version: 1.0
X-Received: by 10.60.155.72 with SMTP id vu8mr756734oeb.60.1394102592382; Thu,
 06 Mar 2014 02:43:12 -0800 (PST)
Received: by 10.76.3.167 with HTTP; Thu, 6 Mar 2014 02:43:12 -0800 (PST)
In-Reply-To: <53172EB6.4010902@HIDDEN>
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
 <5310D459.8040504@HIDDEN>
 <6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>
 <5311CA73.2030709@HIDDEN>
 <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
 <53123279.6070203@HIDDEN>
 <B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>
 <5316D1BC.3000804@HIDDEN>
 <CACL4Mm8_EeAurDP1zCtg+WJoWiaHAv5-OBXmJ3m6_Ns4HT26Vw@HIDDEN>
 <53172EB6.4010902@HIDDEN>
Date: Thu, 6 Mar 2014 11:43:12 +0100
Message-ID: <CACL4Mm_CrU=cs0otw29YCW=vcQuP9ZaV7S3hJ=cax8aHL9B0cA@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab
 sometimes chooses a wrong window
From: Lukasz Pawelczyk <havner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7bd6ab54ccae9f04f3edcd38
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7bd6ab54ccae9f04f3edcd38
Content-Type: text/plain; charset=UTF-8

On Wed, Mar 5, 2014 at 3:03 PM, martin rudalics <rudalics@HIDDEN> wrote:

> > If the 'other-window-scroll-buffer' is pointing to a dead buffer
> > 'scroll-other-window'
> > does not fallback to its normal behaviour. You get an 'invalid buffer'
> > message.
>
> Hopefully not any more.  Did you try the latest trunk?


Yes, I just have (for the first time, my bug report was about 24.3).
And 2 things:

1. I still get invalid buffer, Meaning:
- (setq other-window-scroll-buffer "*Completions*")
- C-M-v always scrolls Completions buffer as it should
- kill the completions buffer
- C-M-v -> "Invalid buffer'

2. But most interestingly, on the latest trunk I cannot reproduce my
original issue anymore.
Contrary to 24.3 TAB for auto-complete seems to work just fine. I'll
investigate this more
to make sure it really is as it should and will report my findings.
If it's just a coincidence (my local work environment is playing tricks on
me) I'll
try to implement some fix this weekend.

Were you ever able to reproduce this issue on trunk? If so, when?


Thanks.


-- 
Regards
Havner

--047d7bd6ab54ccae9f04f3edcd38
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On W=
ed, Mar 5, 2014 at 3:03 PM, martin rudalics <span dir=3D"ltr">&lt;<a href=
=3D"mailto:rudalics@HIDDEN" target=3D"_blank">rudalics@HIDDEN</a>&gt;</span=
> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left-width:1px;border-left-color:rgb(204,204,204);border-left-style:solid;p=
adding-left:1ex"><div class=3D"">&gt; If the &#39;other-window-scroll-buffe=
r&#39; is pointing to a dead buffer<br>

&gt; &#39;scroll-other-window&#39;<br>
&gt; does not fallback to its normal behaviour. You get an &#39;invalid buf=
fer&#39;<br>
&gt; message.<br>
<br></div>
Hopefully not any more. =C2=A0Did you try the latest trunk?</blockquote><di=
v><br></div><div>Yes, I just have (for the first time, my bug report was ab=
out 24.3).</div><div>And 2 things:</div><div><br></div><div>1. I still get =
invalid buffer, Meaning:</div>
<div>- (setq other-window-scroll-buffer &quot;*Completions*&quot;)<br></div=
><div>- C-M-v always scrolls Completions buffer as it should</div><div>- ki=
ll the completions buffer</div><div>- C-M-v -&gt; &quot;Invalid buffer&#39;=
</div>
<div><br></div><div>2. But most interestingly, on the latest trunk I cannot=
 reproduce my original issue anymore.</div><div>Contrary to 24.3 TAB for au=
to-complete seems to work just fine. I&#39;ll investigate this more</div>
<div>to make sure it really is as it should and will report my findings.</d=
iv><div>If it&#39;s just a coincidence (my local work environment is playin=
g tricks on me) I&#39;ll</div><div>try to implement some fix this weekend.<=
/div>
<div><br></div><div>Were you ever able to reproduce this issue on trunk? If=
 so, when?</div><div><br></div><div><br></div><div>Thanks.</div><div><br></=
div></div><div><br></div>-- <br>Regards<br>Havner<br>
</div></div>

--047d7bd6ab54ccae9f04f3edcd38--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 5 Mar 2014 14:03:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 09:03:48 2014
Received: from localhost ([127.0.0.1]:51185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLCQF-0007IY-UX
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 09:03:48 -0500
Received: from mout.gmx.net ([212.227.17.22]:56530)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLCQC-0007IF-PK
 for 16909 <at> debbugs.gnu.org; Wed, 05 Mar 2014 09:03:46 -0500
Received: from [178.190.22.148] ([178.190.22.148]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0M2tKM-1XAXt220ms-00siVI;
 Wed, 05 Mar 2014 15:03:42 +0100
Message-ID: <53172EB6.4010902@HIDDEN>
Date: Wed, 05 Mar 2014 15:03:34 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lukasz Pawelczyk <havner@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes
 chooses a wrong window
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>	<5310D459.8040504@HIDDEN>	<6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>	<5311CA73.2030709@HIDDEN>	<CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>	<53123279.6070203@HIDDEN>	<B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>	<5316D1BC.3000804@HIDDEN>
 <CACL4Mm8_EeAurDP1zCtg+WJoWiaHAv5-OBXmJ3m6_Ns4HT26Vw@HIDDEN>
In-Reply-To: <CACL4Mm8_EeAurDP1zCtg+WJoWiaHAv5-OBXmJ3m6_Ns4HT26Vw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:sDAEDZ0hGN4SkqbBub/vxBFWp+lyGudzQv/xdCIUJKv1MI5i4OZ
 unZw7qGB4mSPTuC5VKTl3ehMi6FX5KQHggiAjcFhoflH2vy7pozaRT6Rc+WJTrvOPe/1qMK
 Zb7c1ZXR4WiQa+PfGhJdFba5jCDTo31GBwLj6ExWj4sXRihJFVkD0RUF9BreTPVxA3dSvCp
 DjNoq1SMi2pBUvG/DKrWQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > If the 'other-window-scroll-buffer' is pointing to a dead buffer
 > 'scroll-other-window'
 > does not fallback to its normal behaviour. You get an 'invalid buffer'
 > message.

Hopefully not any more.  Did you try the latest trunk?

 > So we don't have to kill the *Completions* buffer. We need to set the
 > variable back
 > to nil to resume normal user operations after using auto complete scrolling.

We can now kill the *Completions* buffer as well.  We only have to be
sure what's easier - keeping track of `other-window-scroll-buffer' and
resetting it or killing the buffer.  Somewhere there should be a
`quit-restore-window' call around, responsible for accomplishing part of
that task already.

 > My investigation was to figure out what is going on, not precisely where to
 > fix it and was
 > based on semantic's autocomplete which behaves exactly the same. I just
 > thought
 > that reporting this in base emacs functionality might get a higher chance
 > to get
 > attention. And the mechanism and a cause seems to be exactly the same.
 > I didn't manage to pinpoint where it happens in case of elisp auto complete.
 > Only for semantic displayor one (which needs fixing as well).

Then try fixing that.  At the time of displaying the *Completions*
buffer set `other-window-scroll-buffer' to the *Completions* buffer.  At
the time of removing that window (I hope it gets removed) reset
`other-window-scroll-buffer' to nil or kill the *Completions* buffer.

Writing this should be simple once you know where to apply the changes.
The more important task is to give it some testing.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 5 Mar 2014 09:48:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 04:48:45 2014
Received: from localhost ([127.0.0.1]:51063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WL8RQ-0006gy-6q
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 04:48:45 -0500
Received: from mail-ob0-f181.google.com ([209.85.214.181]:34628)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <havner@HIDDEN>) id 1WL8RN-0006gp-2V
 for 16909 <at> debbugs.gnu.org; Wed, 05 Mar 2014 04:48:41 -0500
Received: by mail-ob0-f181.google.com with SMTP id wp4so755889obc.40
 for <16909 <at> debbugs.gnu.org>; Wed, 05 Mar 2014 01:48:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=Lv1UyQRfLiJdFvLlB+XbiQIeklSFOdj5tFiKwCNT16s=;
 b=EteXJ7CC1d/b7iC1j+BCrF4CfWhTa9TDxb3ms0IassALF/yrCW/IIcAJV52Q1buAhG
 R4HarL/6NvMcj6of1vHMg5QSvnrmYz6U1jihR+kJj0nPb9m82HYgkQYIobReX6sxJmBk
 lGKwQODqawrQDF3wg7fjMTSPBU7aKJfJWGi2wwtyIF7Ts3fNgMtZC3yY9S3m4MPJ83a2
 5wtdy5fP3epiXGoSxRBYeNdPTr6rG30h/gT1MPoL9avIUoqzuVmiQjje5C5MSMJJbRvT
 660xB46mnNwt9c4W7n/ckt3X2cdr27jx+C1ZUpWLxBfl/pKaXYotNbJzzSIiNDA4hjkU
 rjYA==
MIME-Version: 1.0
X-Received: by 10.182.180.7 with SMTP id dk7mr4034629obc.20.1394012920266;
 Wed, 05 Mar 2014 01:48:40 -0800 (PST)
Received: by 10.76.3.167 with HTTP; Wed, 5 Mar 2014 01:48:40 -0800 (PST)
In-Reply-To: <5316D1BC.3000804@HIDDEN>
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
 <5310D459.8040504@HIDDEN>
 <6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>
 <5311CA73.2030709@HIDDEN>
 <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
 <53123279.6070203@HIDDEN>
 <B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>
 <5316D1BC.3000804@HIDDEN>
Date: Wed, 5 Mar 2014 10:48:40 +0100
Message-ID: <CACL4Mm8_EeAurDP1zCtg+WJoWiaHAv5-OBXmJ3m6_Ns4HT26Vw@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab
 sometimes chooses a wrong window
From: Lukasz Pawelczyk <havner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=f46d04426adcecc75004f3d8ec28
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--f46d04426adcecc75004f3d8ec28
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Wed, Mar 5, 2014 at 8:26 AM, martin rudalics <rudalics@HIDDEN> wrote:

> >> We have to detect the moment when the window is closed automatically
> >> anyway.  At that time we can either kill the buffer or reset
> >> `other-window-scroll-buffer=E2=80=99.
> >
> > I=E2=80=99m still not sure that even using this variable is a wise idea=
. It
> might be used
> > by a user to configure his things.
>
> By design it's a plain variable and not a user option.


In that case it's ok.



> > A simple custom function that will always scroll
> > *Completions* window seems like a better choice. You can always scroll
> > by buffer name. No need to force the usage of scroll-other-window
> function.
>
> IIRC the initial intention was to make the *Completions* window the
> `next-window' so it would get scrolled automatically by C-M-v.  When
> that failed, `other-window-scroll-buffer' was invented to handle the
> case where the *Completions* window was not the next window.  I doubt
> that a custom function would gain anything in this regard - it would
> still have to find the window to scroll and detect when it's no more
> needed.
>

If that's the case, sure.


> I meant that if you only kill the buffer (after we used autocomplete) and
> > then user will scroll-other-window (for whatever reason) it won=E2=80=
=99t behave
> as
> > if its value is nil. We=E2=80=99d have to make it nil as well (as you m=
entioned
> now).
>
> Why?  If `other-window-scroll-buffer' denotes a dead buffer, it now
> should be tantamount to nil.  Or am I missing something?


If the 'other-window-scroll-buffer' is pointing to a dead buffer
'scroll-other-window'
does not fallback to its normal behaviour. You get an 'invalid buffer'
message.
So we don't have to kill the *Completions* buffer. We need to set the
variable back
to nil to resume normal user operations after using auto complete scrolling=
.


> If I had an idea where to start I would have sent a patch instead of
> reporting a bug :-/
>
> I thought you had because you earlier said that
>
>    All of this happens because a window that's chosen for displaying a
> window
>    for completion is created with 'display-buffer', while the window that
> is
>    scrolled with TAB during completion is choosen with a 'other-window'
>    ('scroll-other-window') function. And as shown here those windows are
> not
>    always the same.
>
> which gave me the impression that you already did some preliminary
> investigative work.


My investigation was to figure out what is going on, not precisely where to
fix it and was
based on semantic's autocomplete which behaves exactly the same. I just
thought
that reporting this in base emacs functionality might get a higher chance
to get
attention. And the mechanism and a cause seems to be exactly the same.
I didn't manage to pinpoint where it happens in case of elisp auto complete=
.
Only for semantic displayor one (which needs fixing as well).


--=20
Regards
Havner

--f46d04426adcecc75004f3d8ec28
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On W=
ed, Mar 5, 2014 at 8:26 AM, martin rudalics <span dir=3D"ltr">&lt;<a href=
=3D"mailto:rudalics@HIDDEN" target=3D"_blank">rudalics@HIDDEN</a>&gt;</span=
> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"">&gt;&gt; We have to detect t=
he moment when the window is closed automatically<br>
&gt;&gt; anyway. =C2=A0At that time we can either kill the buffer or reset<=
br>
&gt;&gt; `other-window-scroll-buffer=E2=80=99.<br>
&gt;<br>
&gt; I=E2=80=99m still not sure that even using this variable is a wise ide=
a. It might be used<br>
&gt; by a user to configure his things.<br>
<br></div>
By design it&#39;s a plain variable and not a user option.</blockquote><div=
><br></div><div>In that case it&#39;s ok.</div><div><br></div><div>=C2=A0</=
div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-lef=
t:1px #ccc solid;padding-left:1ex">
<div class=3D"">
&gt; A simple custom function that will always scroll<br>
&gt; *Completions* window seems like a better choice. You can always scroll=
<br>
&gt; by buffer name. No need to force the usage of scroll-other-window func=
tion.<br>
<br></div>
IIRC the initial intention was to make the *Completions* window the<br>
`next-window&#39; so it would get scrolled automatically by C-M-v. =C2=A0Wh=
en<br>
that failed, `other-window-scroll-buffer&#39; was invented to handle the<br=
>
case where the *Completions* window was not the next window. =C2=A0I doubt<=
br>
that a custom function would gain anything in this regard - it would<br>
still have to find the window to scroll and detect when it&#39;s no more<br=
>
needed.<br></blockquote><div><br></div><div>If that&#39;s the case, sure.</=
div><div><br></div><div><br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div cla=
ss=3D"">

&gt; I meant that if you only kill the buffer (after we used autocomplete) =
and<br>
&gt; then user will scroll-other-window (for whatever reason) it won=E2=80=
=99t behave as<br>
&gt; if its value is nil. We=E2=80=99d have to make it nil as well (as you =
mentioned now).<br>
<br></div>
Why? =C2=A0If `other-window-scroll-buffer&#39; denotes a dead buffer, it no=
w<br>
should be tantamount to nil. =C2=A0Or am I missing something?</blockquote><=
div><br></div><div>If the &#39;other-window-scroll-buffer&#39; is pointing =
to a dead buffer &#39;scroll-other-window&#39;</div><div>does not fallback =
to its normal behaviour. You get an &#39;invalid buffer&#39; message.<br>
</div><div>So we don&#39;t have to kill the *Completions* buffer. We need t=
o set the variable back</div><div>to nil to resume normal user operations a=
fter using auto complete scrolling.</div><div><br></div><div><br></div>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"">
&gt; If I had an idea where to start I would have sent a patch instead of r=
eporting a bug :-/<br>
<br></div>
I thought you had because you earlier said that<br>
<br>
=C2=A0 =C2=A0All of this happens because a window that&#39;s chosen for dis=
playing a window<br>
=C2=A0 =C2=A0for completion is created with &#39;display-buffer&#39;, while=
 the window that is<br>
=C2=A0 =C2=A0scrolled with TAB during completion is choosen with a &#39;oth=
er-window&#39;<br>
=C2=A0 =C2=A0(&#39;scroll-other-window&#39;) function. And as shown here th=
ose windows are not<br>
=C2=A0 =C2=A0always the same.<br>
<br>
which gave me the impression that you already did some preliminary<br>
investigative work.</blockquote><div><br></div><div>My investigation was to=
 figure out what is going on, not precisely where to fix it and was</div><d=
iv>based on semantic&#39;s autocomplete which behaves exactly the same. I j=
ust thought</div>
<div>that reporting this in base emacs functionality might get a higher cha=
nce to get</div><div>attention. And the mechanism and a cause seems to be e=
xactly the same.</div><div>I didn&#39;t manage to pinpoint where it happens=
 in case of elisp auto complete.</div>
<div>Only for semantic displayor one (which needs fixing as well).</div><di=
v>=C2=A0</div></div><div><br></div>-- <br>Regards<br>Havner<br>
</div></div>

--f46d04426adcecc75004f3d8ec28--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 5 Mar 2014 07:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 02:27:04 2014
Received: from localhost ([127.0.0.1]:51028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WL6EJ-0002P2-Kd
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 02:27:04 -0500
Received: from mout.gmx.net ([212.227.15.19]:59083)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WL6EG-0002OT-Va
 for 16909 <at> debbugs.gnu.org; Wed, 05 Mar 2014 02:27:01 -0500
Received: from [178.190.22.148] ([178.190.22.148]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LnkiR-1Wqa6N0Jkl-00hybR;
 Wed, 05 Mar 2014 08:27:00 +0100
Message-ID: <5316D1BC.3000804@HIDDEN>
Date: Wed, 05 Mar 2014 08:26:52 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lukasz Pawelczyk <havner@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes
 chooses a wrong window
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>	<5310D459.8040504@HIDDEN>	<6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>	<5311CA73.2030709@HIDDEN>
 <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
 <53123279.6070203@HIDDEN> <B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>
In-Reply-To: <B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:O0RzsBqchgZUXaIyr4ipbSo5r4UrTHEd8dyi5DgAmY1pRxjG4Eb
 65AM5oQJGCCYjeCJRjvQ+axDsycwlb0CKqKHJwaFonh68QZ8ACOhFZwXKz5kCtab3zyoHGF
 fHeHnDt9tZfqIoyDWQqUznmj8aaBq4X3XTu/2QR9HKjyBVbgqLtQcuZ1IbKgyPYs5NLsUcq
 LStPaSwEWzsNgAWD+7wSw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> We have to detect the moment when the window is closed automatically
 >> anyway.  At that time we can either kill the buffer or reset
 >> `other-window-scroll-buffer=92.
 >
 > I=92m still not sure that even using this variable is a wise idea. It =
might be used
 > by a user to configure his things.

By design it's a plain variable and not a user option.

 > A simple custom function that will always scroll
 > *Completions* window seems like a better choice. You can always scroll=

 > by buffer name. No need to force the usage of scroll-other-window func=
tion.

IIRC the initial intention was to make the *Completions* window the
`next-window' so it would get scrolled automatically by C-M-v.  When
that failed, `other-window-scroll-buffer' was invented to handle the
case where the *Completions* window was not the next window.  I doubt
that a custom function would gain anything in this regard - it would
still have to find the window to scroll and detect when it's no more
needed.

Which obviously does not preclude the use of a function as value of
`other-window-scroll-buffer'.  Sooner or later we should move
`other-window-for-scrolling' and `scroll-other-window' to Elisp anyway,
so this should be easily doable.

 > I meant that if you only kill the buffer (after we used autocomplete) =
and
 > then user will scroll-other-window (for whatever reason) it won=92t be=
have as
 > if its value is nil. We=92d have to make it nil as well (as you mentio=
ned now).

Why?  If `other-window-scroll-buffer' denotes a dead buffer, it now
should be tantamount to nil.  Or am I missing something?

 > If I had an idea where to start I would have sent a patch instead of r=
eporting a bug :-/

I thought you had because you earlier said that

    All of this happens because a window that's chosen for displaying a w=
indow
    for completion is created with 'display-buffer', while the window tha=
t is
    scrolled with TAB during completion is choosen with a 'other-window'
    ('scroll-other-window') function. And as shown here those windows are=
 not
    always the same.

which gave me the impression that you already did some preliminary
investigative work.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 4 Mar 2014 23:22:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 04 18:22:45 2014
Received: from localhost ([127.0.0.1]:50880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKyfc-00056d-Ax
	for submit <at> debbugs.gnu.org; Tue, 04 Mar 2014 18:22:44 -0500
Received: from mail-ee0-f43.google.com ([74.125.83.43]:54029)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <havner@HIDDEN>) id 1WKyfa-00056S-3P
 for 16909 <at> debbugs.gnu.org; Tue, 04 Mar 2014 18:22:42 -0500
Received: by mail-ee0-f43.google.com with SMTP id e53so87335eek.2
 for <16909 <at> debbugs.gnu.org>; Tue, 04 Mar 2014 15:22:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=content-type:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=FjC9IW1Z+K4dKn6Qd/DWSSOeihLuHEINIYmEwXViIdQ=;
 b=cDvuo54h4VGWZYGepZDzdjBpwaNICA2gXTFvg4NjFRCuQ7IOYB7fTvNToTVi0MOX9n
 lqZOhHoz/cKpRhRJ1sY/MP42IWLZ+fJfOhBgMaqKzdM988sSbQrPQD3uq/zT9reMzvTz
 YM7oDG+fsI6ySzlv+0nTnGya0AN5swJNuzxpXTz3g/gzUx3r5Pb8zbQaoMJZTktT5Bb3
 RqjVtxy6iKfKOMp9YhxHux5IqG12g3BbuOZ0bEiEo9T3IWmkvLXh8i9WRFl8BDDD12i5
 +NZu4WZvxdGBZiwjEqRVPw+xyJlGCnpakC4SuiRlc71yXk+O0sAmJzoiwtAMzKsXCC9z
 CMmA==
X-Received: by 10.15.61.7 with SMTP id h7mr2023082eex.49.1393975361106;
 Tue, 04 Mar 2014 15:22:41 -0800 (PST)
Received: from [192.168.0.104] (user-46-113-42-94.play-internet.pl.
 [46.113.42.94])
 by mx.google.com with ESMTPSA id i1sm1587858eeo.16.2014.03.04.15.22.39
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Tue, 04 Mar 2014 15:22:40 -0800 (PST)
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.2 \(1874\))
Subject: Re: bug#16909: 24.3;
 scrolling *Completions* window with tab sometimes chooses a wrong
 window
From: Lukasz Pawelczyk <havner@HIDDEN>
In-Reply-To: <53123279.6070203@HIDDEN>
Date: Wed, 5 Mar 2014 00:22:35 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <B2D380CE-9E64-4B6A-A287-A7E0C593DB94@HIDDEN>
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>	<5310D459.8040504@HIDDEN>	<6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>	<5311CA73.2030709@HIDDEN>
 <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
 <53123279.6070203@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1874)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


On 1 Mar 2014, at 20:18, martin rudalics <rudalics@HIDDEN> wrote:

> > How is this supposed to work?
> > The problem is _during_ the Completions buffer is shown, when we're =
hitting
> > Tab, not when we're done. Besides its window is usually closed
> > automatically.
>=20
> We have to detect the moment when the window is closed automatically
> anyway.  At that time we can either kill the buffer or reset
> `other-window-scroll-buffer=92.

I=92m still not sure that even using this variable is a wise idea. It =
might be used
by a user to configure his things. A simple custom function that will =
always scroll
*Completions* window seems like a better choice. You can always scroll
by buffer name. No need to force the usage of scroll-other-window =
function.

> > Killing the buffer won't make the scroll-other-window work
> > the usuall way.
>=20
> How comes?  Ahh... I see.  If `other-window-scroll-buffer' is non-nil
> and the buffer was killed in the meantime `display-buffer' throws an
> arg out of range error.  That's silly ... should be fixed now.

I meant that if you only kill the buffer (after we used autocomplete) =
and
then user will scroll-other-window (for whatever reason) it won=92t =
behave as
if its value is nil. We=92d have to make it nil as well (as you =
mentioned now).

> > This would work I imagine. But don't do this in general when the
> > Completions buffer is shown, but only when we use autocomplete
> > functionality with Tab _and_ the buffer is shown.
>=20
> Could you try doing that?  I have no idea where to start.

If I had an idea where to start I would have sent a patch instead of =
reporting a bug :-/



--=20
Regards,
Havner







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 1 Mar 2014 19:18:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 01 14:18:25 2014
Received: from localhost ([127.0.0.1]:46968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJpQX-0002XV-8a
	for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 14:18:25 -0500
Received: from mout.gmx.net ([212.227.17.20]:59565)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WJpQU-0002XL-By
 for 16909 <at> debbugs.gnu.org; Sat, 01 Mar 2014 14:18:23 -0500
Received: from [62.47.58.15] ([62.47.58.15]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0MLzXM-1WIixM1nci-007meo; Sat, 01 Mar 2014 20:18:20
 +0100
Message-ID: <53123279.6070203@HIDDEN>
Date: Sat, 01 Mar 2014 20:18:17 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lukasz Pawelczyk <havner@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes
 chooses a wrong window
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>	<5310D459.8040504@HIDDEN>	<6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>	<5311CA73.2030709@HIDDEN>
 <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
In-Reply-To: <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:xhMupV+p5bLq6yJpmGRmI+B6w1lHvaaoIvZoKJEEBVuTmFLZbs+
 B989Gb4RI98LoR7quoDoI/pDS/YC76+YgdpsQZqTTcpRiObG6h0n6cmuMbOP8/d3PCzZkzO
 HSjh5+MakBJR/HgIjoCSpgnEy3vG7syhSmJ/ly5LWTaNY76y3TKs4OuUXtM/kUFa4IFOKZ/
 0Yo3Vd+1X9+MUPcG6oEmw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> (1) Kill the *Completions* buffer when we're done so it won't be
 >>     inadvertently displayed by `other-window-for-scrolling'.
 >
 >
 > How is this supposed to work?
 > The problem is _during_ the Completions buffer is shown, when we're hitting
 > Tab, not when we're done. Besides its window is usually closed
 > automatically.

We have to detect the moment when the window is closed automatically
anyway.  At that time we can either kill the buffer or reset
`other-window-scroll-buffer'.

 > Killing the buffer won't make the scroll-other-window work
 > the usuall way.

How comes?  Ahh... I see.  If `other-window-scroll-buffer' is non-nil
and the buffer was killed in the meantime `display-buffer' throws an
arg out of range error.  That's silly ... should be fixed now.

 >> (2) Bind `other-window-scroll-buffer' temporarily only as long as the
 >>     *Completions* buffer is shown.
 >
 >
 > This would work I imagine. But don't do this in general when the
 > Completions buffer is shown, but only when we use autocomplete
 > functionality with Tab _and_ the buffer is shown.

Could you try doing that?  I have no idea where to start.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 1 Mar 2014 12:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 01 07:11:28 2014
Received: from localhost ([127.0.0.1]:45410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJilL-0006Q6-LP
	for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 07:11:28 -0500
Received: from mail-ob0-f180.google.com ([209.85.214.180]:53301)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <havner@HIDDEN>) id 1WJilJ-0006Pw-2W
 for 16909 <at> debbugs.gnu.org; Sat, 01 Mar 2014 07:11:26 -0500
Received: by mail-ob0-f180.google.com with SMTP id vb8so4954131obc.25
 for <16909 <at> debbugs.gnu.org>; Sat, 01 Mar 2014 04:11:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=fcdp8kquk8S1Yy+dLI3X75bom5HzgyTilx8MfdnysFw=;
 b=RrV5AQeeGW+qmOK3Df0i5TiMrpjO6qzlcDCkqLhzvqkmMzEaoOY19TyVW+3RbwcL3G
 rTDrulne4nC6LC4bW1FzhNaVwBjyZTz4tyKvkpNYtESoVQ3VGZa3apaBMQ245XSJmkFJ
 s/Ef86IHWTxBm44rvV5i6TD0B22UNTr+4L4n09HnHtBDHCuN09z8wyfgFPF54DBtl3EH
 +l7UmQ8hAz71Y6VnlhOewr0+ux0xmL8Kuyg/DrDpsuh/aD7sUHxrmyBaIRYfsS67bT2w
 o/pUcne/beqpV+PJYK3m/wIesX/seB7g+yy03Qz5m6P2A1ml3JHEHt1slOvp8Z5ZRlvf
 QWbA==
MIME-Version: 1.0
X-Received: by 10.60.174.77 with SMTP id bq13mr7983042oec.0.1393675884262;
 Sat, 01 Mar 2014 04:11:24 -0800 (PST)
Received: by 10.76.3.180 with HTTP; Sat, 1 Mar 2014 04:11:24 -0800 (PST)
In-Reply-To: <5311CA73.2030709@HIDDEN>
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
 <5310D459.8040504@HIDDEN>
 <6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>
 <5311CA73.2030709@HIDDEN>
Date: Sat, 1 Mar 2014 13:11:24 +0100
Message-ID: <CACL4Mm_3-AkZq5NBGeNdsMOi+MakM_8Vn5CMLMwTOjkceAGivw@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab
 sometimes chooses a wrong window
From: Lukasz Pawelczyk <havner@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=089e011825f80379ed04f38a7465
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16909
Cc: "16909 <at> debbugs.gnu.org" <16909 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e011825f80379ed04f38a7465
Content-Type: text/plain; charset=UTF-8

On Saturday, March 1, 2014, martin rudalics <rudalics@HIDDEN> wrote:

> > I just posted this setq line as a workaround. And why does it break?
> Because if you set it then C-M-v will always try to scroll *Completions*
> and not regular other-window buffer which is useful sometimes (e.g. while
> using help, an approach mentioned even in tutorial).
>
> So it seems there are two ways to tackle this problem:
>
> (1) Kill the *Completions* buffer when we're done so it won't be
>     inadvertently displayed by `other-window-for-scrolling'.


How is this supposed to work?
The problem is _during_ the Completions buffer is shown, when we're hitting
Tab, not when we're done. Besides its window is usually closed
automatically. Killing the buffer won't make the scroll-other-window work
the usuall way.


> (2) Bind `other-window-scroll-buffer' temporarily only as long as the
>     *Completions* buffer is shown.


This would work I imagine. But don't do this in general when the
Completions buffer is shown, but only when we use autocomplete
functionality with Tab _and_ the buffer is shown.


>
> martin
>


-- 
Regards
Havner

--089e011825f80379ed04f38a7465
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Saturday, March 1, 2014, martin rudalics &lt;<a href=3D"mailto:rudalics@=
gmx.at">rudalics@HIDDEN</a>&gt; wrote:<br><blockquote class=3D"gmail_quote"=
 style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&g=
t; I just posted this setq line as a workaround. And why does it break? Bec=
ause if you set it then C-M-v will always try to scroll *Completions* and n=
ot regular other-window buffer which is useful sometimes (e.g. while using =
help, an approach mentioned even in tutorial).<br>

<br>
So it seems there are two ways to tackle this problem:<br>
<br>
(1) Kill the *Completions* buffer when we&#39;re done so it won&#39;t be<br=
>
=C2=A0 =C2=A0 inadvertently displayed by `other-window-for-scrolling&#39;.<=
/blockquote><div><br></div><div>How is this supposed to work?</div><div>The=
 problem is _during_=C2=A0the Completions buffer is shown, when we&#39;re=
=C2=A0hitting Tab,=C2=A0not when we&#39;re done.=C2=A0Besides its window is=
 usually closed automatically. Killing the buffer won&#39;t make the scroll=
-other-window work the usuall way.</div>
<div>=C2=A0</div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">
(2) Bind `other-window-scroll-buffer&#39; temporarily only as long as the<b=
r>
=C2=A0 =C2=A0 *Completions* buffer is shown.</blockquote><div><br></div><di=
v>This would work I imagine. But don&#39;t do this=C2=A0in general when the=
 Completions buffer is shown, but only when we use autocomplete functionali=
ty with Tab _and_ the buffer is shown.</div>
<div>=C2=A0</div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
martin<br>
</blockquote><br><br>-- <br>Regards<br>Havner<br><br>

--089e011825f80379ed04f38a7465--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 1 Mar 2014 11:54:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 01 06:54:33 2014
Received: from localhost ([127.0.0.1]:45397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJiUz-0005wC-FD
	for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 06:54:33 -0500
Received: from mout.gmx.net ([212.227.15.15]:53541)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WJiUw-0005w3-HH
 for 16909 <at> debbugs.gnu.org; Sat, 01 Mar 2014 06:54:30 -0500
Received: from [62.47.47.172] ([62.47.47.172]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0M6P5z-1X8OEw2xGV-00yRcw for
 <16909 <at> debbugs.gnu.org>; Sat, 01 Mar 2014 12:54:29 +0100
Message-ID: <5311CA73.2030709@HIDDEN>
Date: Sat, 01 Mar 2014 12:54:27 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lukasz Pawelczyk <havner@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes
 chooses a wrong	window
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
 <5310D459.8040504@HIDDEN> <6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>
In-Reply-To: <6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ivuZBk5tTNyIsZSt7bdjAIu8X+iteFdIzm7WQXS22HD5ejL7BYU
 StZiZ6133Q5Kxola9P11Vm/77ce7hWvGKBFPIvOCfnlEmh4j/h1A0N/XBOrfuXNnP7W3rYN
 vkd37AgMCF8/fThxIpZMwSk27+DaTpm+cztalRJ1iVCdwa/fJctoEMo6huYx3qoJhmdNC/m
 RPp54X10m+KFkDRJwZ5AQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16909
Cc: 16909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I just posted this setq line as a workaround. And why does it break? Because if you set it then C-M-v will always try to scroll *Completions* and not regular other-window buffer which is useful sometimes (e.g. while using help, an approach mentioned even in tutorial).

So it seems there are two ways to tackle this problem:

(1) Kill the *Completions* buffer when we're done so it won't be
     inadvertently displayed by `other-window-for-scrolling'.

(2) Bind `other-window-scroll-buffer' temporarily only as long as the
     *Completions* buffer is shown.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 28 Feb 2014 18:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 13:28:23 2014
Received: from localhost ([127.0.0.1]:44896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJSAY-0000nU-Fn
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 13:28:22 -0500
Received: from mail-ea0-f177.google.com ([209.85.215.177]:45542)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <havner@HIDDEN>) id 1WJSAV-0000nH-7s
 for 16909 <at> debbugs.gnu.org; Fri, 28 Feb 2014 13:28:20 -0500
Received: by mail-ea0-f177.google.com with SMTP id h10so2863565eak.8
 for <16909 <at> debbugs.gnu.org>; Fri, 28 Feb 2014 10:28:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=content-type:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=Uu4tRLlxaz5IF5SaJpVEU0RVMHK4QinzhrnpxLQVHEc=;
 b=OxKicEfPHTqb8/y810Uerr8m0Gee7qskULMISGFoR1qFH4Rgeydp+lzeqqArEguTWW
 ilehh8vFid+WzriANut9mle/8sy4aWl1gthaB4zcIho/cDZvPWN4zG5yOwV38dqc4VKV
 O0Jq8vaLzqUpTTwf4N6W0cqR44Y7OL4bZfgE8MMZ2VhaWQaMusvPIZHRImMutaxF2EnR
 fOaZLTC4cZLEFfMyPRBzT89jcpi8xbTTlzO+VqJwA53+MaBhnFpcFwTn3OZc8X14txd2
 nrHAzuPvlnsmyk9VZznC41O4RJeo5Xqb9QG7c9m/8PXctQv6mKSYCOCsFGaxr1RVmaRK
 NYBg==
X-Received: by 10.15.61.134 with SMTP id i6mr5525201eex.106.1393612098217;
 Fri, 28 Feb 2014 10:28:18 -0800 (PST)
Received: from [192.168.0.104] (user-5-173-72-179.play-internet.pl.
 [5.173.72.179])
 by mx.google.com with ESMTPSA id j41sm13486538eeg.10.2014.02.28.10.28.16
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 28 Feb 2014 10:28:17 -0800 (PST)
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.1 \(1827\))
Subject: Re: bug#16909: 24.3;
 scrolling *Completions* window with tab sometimes chooses a
 wrong	window
From: Lukasz Pawelczyk <havner@HIDDEN>
In-Reply-To: <5310D459.8040504@HIDDEN>
Date: Fri, 28 Feb 2014 19:28:12 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <6F4BAAB3-A0AD-4AE5-BD18-BE9CE1A97B77@HIDDEN>
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
 <5310D459.8040504@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1827)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16909
Cc: 16909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


On 28 Feb 2014, at 19:24, martin rudalics <rudalics@HIDDEN> wrote:

> > The workaround is shown in the emacs.el file, force the other window
> > scrolling to a *Completions* buffer. But this effectively breaks
> > other-window scrolling for anything else.
>=20
> You mean to set `other-window-for-scrolling' to the *Completions*
> buffer?  I think that's what the completions code should do.  But why =
do
> you say that it "effectively breaks other-window scrolling for =
anything
> else"?  IIUC a similar approach is used by `save-some-buffers' and =
seems
> to work without problems.

I=92m saying that the Tab should be able to scroll the *Completions* =
buffer automatically without setting anything.
And in the use case I showed above it doesn=92t.

I just posted this setq line as a workaround. And why does it break? =
Because if you set it then C-M-v will always try to scroll *Completions* =
and not regular other-window buffer which is useful sometimes (e.g. =
while using help, an approach mentioned even in tutorial).

Just forget about the workaround I mentioned. The use-case shows a bug. =
That=92s all.


--=20
Regards,
Havner







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at 16909 <at> debbugs.gnu.org:


Received: (at 16909) by debbugs.gnu.org; 28 Feb 2014 18:24:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 13:24:32 2014
Received: from localhost ([127.0.0.1]:44885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJS6p-0000gH-Bx
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 13:24:31 -0500
Received: from mout.gmx.net ([212.227.15.19]:51380)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WJS6m-0000g8-I2
 for 16909 <at> debbugs.gnu.org; Fri, 28 Feb 2014 13:24:29 -0500
Received: from [62.47.35.87] ([62.47.35.87]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0Lat5o-1X3YVG3Clk-00kSyQ; Fri, 28 Feb 2014 19:24:26
 +0100
Message-ID: <5310D459.8040504@HIDDEN>
Date: Fri, 28 Feb 2014 19:24:25 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lukasz Pawelczyk <havner@HIDDEN>
Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes
 chooses a wrong	window
References: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
In-Reply-To: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:y+MWBY+EFh+o52KdZcX21PguUvsLF6K+pay9Wo91vm+2qwcS7wC
 /5f/lsnTWcQIcqhQZC6gItPyLdhKxE1FXEclSpQuaZICqlmJgBvCE5u/Hj7d2/Dx+Lfrtu5
 g4Tg+oMnRJ0wN3gs8Zd5LMmoET0TSYrlTv/oRcZgIhfnToU/XSC5P0Fg7Ocuk/Wo9lNqHd0
 Sp959k8I5I9YvGHReobnQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16909
Cc: 16909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > The workaround is shown in the emacs.el file, force the other window
 > scrolling to a *Completions* buffer. But this effectively breaks
 > other-window scrolling for anything else.

You mean to set `other-window-for-scrolling' to the *Completions*
buffer?  I think that's what the completions code should do.  But why do
you say that it "effectively breaks other-window scrolling for anything
else"?  IIUC a similar approach is used by `save-some-buffers' and seems
to work without problems.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2014 16:48:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 28 11:48:44 2014
Received: from localhost ([127.0.0.1]:44808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJQc6-0005DN-Px
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 11:48:44 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52162)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <havner@HIDDEN>) id 1WJQUq-000508-9A
 for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 11:41:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <havner@HIDDEN>) id 1WJQUo-0006rn-B0
 for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 11:41:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:42437)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <havner@HIDDEN>) id 1WJQUo-0006rj-75
 for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 11:41:10 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53875)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <havner@HIDDEN>) id 1WJQUm-0000XU-JK
 for bug-gnu-emacs@HIDDEN; Fri, 28 Feb 2014 11:41:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <havner@HIDDEN>) id 1WJQUk-0006r4-Nt
 for bug-gnu-emacs@HIDDEN; Fri, 28 Feb 2014 11:41:08 -0500
Received: from mail-oa0-x232.google.com ([2607:f8b0:4003:c02::232]:65296)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <havner@HIDDEN>) id 1WJQUk-0006qv-Gt
 for bug-gnu-emacs@HIDDEN; Fri, 28 Feb 2014 11:41:06 -0500
Received: by mail-oa0-f50.google.com with SMTP id i11so4251406oag.37
 for <bug-gnu-emacs@HIDDEN>; Fri, 28 Feb 2014 08:41:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=Pw2PtaeimmWzHr2S7VpvAJ6pQj+Vb9gqASeZiWD5ZmY=;
 b=ILhJvV9u7tJ7Ad9qc3iXgwVRLUYOG1OE0jxhu7iHQ183gG3FBwRkTTDryyw5Dq6zFl
 BkfBP56PQ0h4zVULgs0NRWf3YgWQaZPie0zAx35l46nksJchDTSBcAcggqFOfNQFbTIW
 OMFyVyUKYYfm08udfuO70W1eRSHsSP26WUQL0wTptH6/JUFKHTfTAJiinXwwWkSWn/2o
 wkEMY8xfEEi7Jk8kdit+de4IC95kK3OFnrF+XlIW6YwNsmv+f0OPT/qBZ1w3KMGUFWz+
 ZMzs8hOPtvg850CIJiP1ayiPWNB+CW+oKs8WbO/iR53RYEWQNDy9hyn2yFrc2RiK7w0n
 ebsw==
MIME-Version: 1.0
X-Received: by 10.60.227.39 with SMTP id rx7mr3561754oec.52.1393605665467;
 Fri, 28 Feb 2014 08:41:05 -0800 (PST)
Received: by 10.76.3.180 with HTTP; Fri, 28 Feb 2014 08:41:05 -0800 (PST)
Date: Fri, 28 Feb 2014 17:41:05 +0100
Message-ID: <CACL4Mm8o7hRVq5Ji=L79BPnJeF4RFKZbkspQAJAh7KfRY0D3Mg@HIDDEN>
Subject: 24.3; scrolling *Completions* window with tab sometimes chooses a
 wrong window
From: Lukasz Pawelczyk <havner@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=001a1136b806a5ce1004f37a1a78
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 28 Feb 2014 11:48:39 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a1136b806a5ce1004f37a1a78
Content-Type: multipart/alternative; boundary=001a1136b806a5ce0d04f37a1a76

--001a1136b806a5ce0d04f37a1a76
Content-Type: text/plain; charset=UTF-8

Hi,

Steps to reproduce (this should be reproducible even on 80x25):
1. Use the attached emacs config file
2. C-x C-f: open a long file (lets say a few screens long)
3. C-x 3: split window right
4. C-x o: move to the right window
5. C-x b *scratch*: display the scratch buffer in the new window
6. C-x 2: split the new window below
7. C-x o: move to the lower-right window (it should display scratch buffer
as well)
8. Type "(g" (without quote ofc) and hit TAB, the auto-complete window
should appear on the lower left
9. Hit tab few more times, the upper left window will be scrolled, not the
*Completions* one.

I've attached a file help.txt describing this graphically.

All of this happens because a window that's chosen for displaying a window
for completion is created with 'display-buffer', while the window that is
scrolled with TAB during completion is choosen with a 'other-window'
('scroll-other-window') function. And as shown here those windows are not
always the same.

Exactly the same thing can happen with semantic completion. The
'display-buffer' and 'scroll-other-window' are also used there to the same
effect in this situation.

The workaround is shown in the emacs.el file, force the other window
scrolling to a *Completions* buffer. But this effectively breaks
other-window scrolling for anything else.


In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.9.10)
 of 2013-08-14 on buildvm-17.phx2.fedoraproject.org
Configured using:
 `configure '--build=x86_64-redhat-linux-gnu'
 '--host=x86_64-redhat-linux-gnu' '--program-prefix='
 '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr'
 '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc'
 '--datadir=/usr/share' '--includedir=/usr/include'
 '--libdir=/usr/lib64' '--libexecdir=/usr/libexec'
 '--localstatedir=/var' '--sharedstatedir=/var/lib'
 '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus'
 '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
 '--with-xft' '--with-xpm' '--with-x-toolkit=gtk3' '--with-gpm=no'
 'build_alias=x86_64-redhat-linux-gnu'
 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
 -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro ''

Important settings:
  value of $LC_MONETARY: pl_PL.utf8
  value of $LC_NUMERIC: pl_PL.utf8
  value of $LC_TIME: pl_PL.utf8
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 1 ; 3 4 0 9 ; 0 c ESC x r e p o TAB r TAB
RET

Recent messages:
("emacs")
Loading /usr/share/emacs/site-lisp/site-start.d/cmake-init.el
(source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/desktop-entry-mode-init.el
(source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode easymenu time-date buffer-move-autoloads
color-theme-actress-autoloads color-theme-solarized-autoloads
color-theme-autoloads idle-highlight-mode-autoloads point-undo-autoloads
redo+-autoloads rpm-spec-mode-autoloads smart-tabs-mode-autoloads
windresize-autoloads package tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)


-- 
Regards
Havner

--001a1136b806a5ce0d04f37a1a76
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi,</div><div><br></div><div>Steps to reproduce (this=
 should be reproducible even on 80x25):</div><div>1. Use the attached emacs=
 config file</div><div>2. C-x C-f: open a long file (lets say a few screens=
 long)</div>
<div>3. C-x 3: split window right</div><div>4. C-x o: move to the right win=
dow</div><div>5. C-x b *scratch*: display the scratch buffer in the new win=
dow</div><div>6. C-x 2: split the new window below</div><div>7. C-x o: move=
 to the lower-right window (it should display scratch buffer as well)</div>
<div>8. Type &quot;(g&quot; (without quote ofc) and hit TAB, the auto-compl=
ete window should appear on the lower left</div><div>9. Hit tab few more ti=
mes, the upper left window will be scrolled, not the *Completions* one.</di=
v>
<div><br></div><div>I&#39;ve attached a file help.txt describing this graph=
ically.</div><div><br></div><div>All of this happens because a window that&=
#39;s chosen for displaying a window for completion is created with &#39;di=
splay-buffer&#39;, while the window that is scrolled with TAB during comple=
tion is choosen with a &#39;other-window&#39; (&#39;scroll-other-window&#39=
;) function. And as shown here those windows are not always the same.</div>
<div><br></div><div>Exactly the same thing can happen with semantic complet=
ion. The &#39;display-buffer&#39; and &#39;scroll-other-window&#39; are als=
o used there to the same effect in this situation.</div><div><br></div>
<div>The workaround is shown in the emacs.el file, force the other window s=
crolling to a *Completions* buffer. But this effectively breaks other-windo=
w scrolling for anything else.</div><div><br></div><div><br></div><div>
In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.9.10)</div><di=
v>=C2=A0of 2013-08-14 on <a href=3D"http://buildvm-17.phx2.fedoraproject.or=
g">buildvm-17.phx2.fedoraproject.org</a></div><div>Configured using:</div><=
div>
=C2=A0`configure &#39;--build=3Dx86_64-redhat-linux-gnu&#39;</div><div>=C2=
=A0&#39;--host=3Dx86_64-redhat-linux-gnu&#39; &#39;--program-prefix=3D&#39;=
</div><div>=C2=A0&#39;--disable-dependency-tracking&#39; &#39;--prefix=3D/u=
sr&#39; &#39;--exec-prefix=3D/usr&#39;</div>
<div>=C2=A0&#39;--bindir=3D/usr/bin&#39; &#39;--sbindir=3D/usr/sbin&#39; &#=
39;--sysconfdir=3D/etc&#39;</div><div>=C2=A0&#39;--datadir=3D/usr/share&#39=
; &#39;--includedir=3D/usr/include&#39;</div><div>=C2=A0&#39;--libdir=3D/us=
r/lib64&#39; &#39;--libexecdir=3D/usr/libexec&#39;</div>
<div>=C2=A0&#39;--localstatedir=3D/var&#39; &#39;--sharedstatedir=3D/var/li=
b&#39;</div><div>=C2=A0&#39;--mandir=3D/usr/share/man&#39; &#39;--infodir=
=3D/usr/share/info&#39; &#39;--with-dbus&#39;</div><div>=C2=A0&#39;--with-g=
if&#39; &#39;--with-jpeg&#39; &#39;--with-png&#39; &#39;--with-rsvg&#39; &#=
39;--with-tiff&#39;</div>
<div>=C2=A0&#39;--with-xft&#39; &#39;--with-xpm&#39; &#39;--with-x-toolkit=
=3Dgtk3&#39; &#39;--with-gpm=3Dno&#39;</div><div>=C2=A0&#39;build_alias=3Dx=
86_64-redhat-linux-gnu&#39;</div><div>=C2=A0&#39;host_alias=3Dx86_64-redhat=
-linux-gnu&#39; &#39;CFLAGS=3D-DMAIL_USE_LOCKF -O2 -g</div>
<div>=C2=A0-pipe -Wall -Wp,-D_FORTIFY_SOURCE=3D2 -fexceptions</div><div>=C2=
=A0-fstack-protector-strong --param=3Dssp-buffer-size=3D4</div><div>=C2=A0-=
grecord-gcc-switches -m64 -mtune=3Dgeneric&#39; &#39;LDFLAGS=3D-Wl,-z,relro=
 &#39;&#39;</div><div>
<br></div><div><div>Important settings:</div><div>=C2=A0 value of $LC_MONET=
ARY: pl_PL.utf8</div><div>=C2=A0 value of $LC_NUMERIC: pl_PL.utf8</div><div=
>=C2=A0 value of $LC_TIME: pl_PL.utf8</div><div>=C2=A0 value of $LANG: en_U=
S.utf8</div><div>
=C2=A0 value of $XMODIFIERS: @im=3Dibus</div><div>=C2=A0 locale-coding-syst=
em: utf-8-unix</div><div>=C2=A0 default enable-multibyte-characters: t</div=
><div><br></div><div>Major mode: Lisp Interaction</div><div><br></div><div>=
Minor modes in effect:</div>
<div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 mouse-wheel-mode: t</div><div>=
=C2=A0 tool-bar-mode: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 =
file-name-shadow-mode: t</div><div>=C2=A0 global-font-lock-mode: t</div><di=
v>=C2=A0 font-lock-mode: t</div>
<div>=C2=A0 auto-composition-mode: t</div><div>=C2=A0 auto-encryption-mode:=
 t</div><div>=C2=A0 auto-compression-mode: t</div><div>=C2=A0 line-number-m=
ode: t</div><div>=C2=A0 transient-mark-mode: t</div><div><br></div><div>Rec=
ent input:</div><div>
ESC [ &gt; 1 ; 3 4 0 9 ; 0 c ESC x r e p o TAB r TAB</div><div>RET</div></d=
iv><div><br></div><div><div>Recent messages:</div><div>(&quot;emacs&quot;)<=
/div><div>Loading /usr/share/emacs/site-lisp/site-start.d/cmake-init.el (so=
urce)...done</div>
<div>Loading /usr/share/emacs/site-lisp/site-start.d/desktop-entry-mode-ini=
t.el (source)...done</div><div>For information about GNU Emacs and the GNU =
system, type C-h C-a.</div><div>Making completion list...</div><div><br>
</div><div>Load-path shadows:</div><div>None found.</div></div><div><br></d=
iv><div><div>Features:</div><div>(shadow sort gnus-util mail-extr emacsbug =
message format-spec rfc822 mml</div><div>mml-sec mm-decode mm-bodies mm-enc=
ode mail-parse rfc2231 mailabbrev</div>
<div>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util</div>=
<div>mail-prsvr mail-utils help-mode easymenu time-date buffer-move-autoloa=
ds</div><div>color-theme-actress-autoloads color-theme-solarized-autoloads<=
/div>
<div>color-theme-autoloads idle-highlight-mode-autoloads point-undo-autoloa=
ds</div><div>redo+-autoloads rpm-spec-mode-autoloads smart-tabs-mode-autolo=
ads</div><div>windresize-autoloads package tooltip ediff-hook vc-hooks lisp=
-float-type</div>
<div>mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe</div><=
div>tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow<=
/div><div>timer select scroll-bar mouse jit-lock font-lock syntax facemenu<=
/div>
<div>font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan<=
/div><div>thai tai-viet lao korean japanese hebrew greek romanian slovak cz=
ech</div><div>european ethiopic indian cyrillic chinese case-table epa-hook=
</div>
<div>jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces</div=
><div>cus-face macroexp files text-properties overlay sha1 md5 base64 forma=
t</div><div>env code-pages mule custom widget hashtable-print-readable back=
quote</div>
<div>make-network-process dbusbind dynamic-setting system-font-setting</div=
><div>font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)</di=
v></div><div><br></div><div><br></div>-- <br>Regards<br>Havner<br>
</div>

--001a1136b806a5ce0d04f37a1a76--
--001a1136b806a5ce1004f37a1a78
Content-Type: text/plain; charset=US-ASCII; name="help.txt"
Content-Disposition: attachment; filename="help.txt"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hs7or0x41

Ky0tLS0tLS0tLS0tLS0tLS0tLS0rLS0tLS0tLS0tLS0tLS0tLS0tLS0tKwp8ICAgICAgICAgICAg
ICAgICAgIHwgICAgICAgICAgICAgICAgICAgICB8CnwgICAgICAgICAgICAgICAgICAgfCAgICAg
ICAgICAgICAgICAgICAgIHwKfCAgICAgICAgICAgICAgICAgICB8ICAgICAgICAgICAgICAgICAg
ICAgfAp8ICAgIGxvbmcgZmlsZSAgICAgIHwgICAgICBzY3JhdGNoICAgICAgICB8CnwgICAgICAg
ICAgICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKfCAgICAgICAgICAgICAgICAgICB8
ICAgICAgICAgICAgICAgICAgICAgfAp8ICAgICAgICAgICAgICAgICAgIHwgICAgICAgICAgICAg
ICAgICAgICB8CnwgICAgICAgICAgICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKKyAg
ICAgICAgICAgICAgICAgICArLS0tLS0tLS0tLS0tLS0tLS0tLS0tKwp8ICAgICAgICAgICAgICAg
ICAgIHwgICAgICAgICAgICAgICAgICAgICB8CnwgICAgICAgICAgICAgICAgICAgfCAgICAgICAg
ICAgICAgICAgICAgIHwKfCAgICAgICAgICAgICAgICAgICB8ICAgICAgICAgICAgICAgICAgICAg
fAp8ICAgICAgICAgICAgICAgICAgIHwgICAgICAgc2NyYXRjaCAgICAgICB8CnwgICAgICAgICAg
ICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKfCAgICAgICAgICAgICAgICAgICB8ICAg
ICAgIChnIFRBQiAgICAgICAgfAp8ICAgICAgICAgICAgICAgICAgIHwgICAgICAgICAgICAgICAg
ICAgICB8CnwgICAgICAgICAgICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKfCAgICAg
ICAgICAgICAgICAgICB8ICAgICAgICAgICAgICAgICAgICAgfAorLS0tLS0tLS0tLS0tLS0tLS0t
LSstLS0tLS0tLS0tLS0tLS0tLS0tLS0rCgorLS0tLS0tLS0tLS0tLS0tLS0tLSstLS0tLS0tLS0t
LS0tLS0tLS0tLS0rCnwgICAgICAgICAgICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwK
fCAgICAgICAgICAgICAgICAgICB8ICAgICAgICAgICAgICAgICAgICAgfAp8ICAgICAgICAgICAg
ICAgICAgIHwgICAgICAgICAgICAgICAgICAgICB8CnwgICAgbG9uZyBmaWxlICAgICAgfCAgICAg
IHNjcmF0Y2ggICAgICAgIHwKfCAgKGdldHMgc2Nyb2xsZWQpICB8ICAgICAgICAgICAgICAgICAg
ICAgfAp8ICAgICAgICAgICAgICAgICAgIHwgICAgICAgICAgICAgICAgICAgICB8CnwgICAgICAg
ICAgICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKfCAgICAgICAgICAgICAgICAgICB8
ICAgICAgICAgICAgICAgICAgICAgfAorLS0tLS0tLS0tLS0tLS0tLS0tLSstLS0tLS0tLS0tLS0t
LS0tLS0tLS0rCnwgICAgICAgICAgICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKfCAg
ICAgICAgICAgICAgICAgICB8ICAgICAgICAgICAgICAgICAgICAgfAp8ICAgICAgICAgICAgICAg
ICAgIHwgICAgICAgICAgICAgICAgICAgICB8CnwgICAqQ29tcGxldGlvbnMqICAgfCAgICAgICBz
Y3JhdGNoICAgICAgIHwKfCAgICAgKHNob3VsZCBiZSAgICB8ICAgICAgICAgICAgICAgICAgICAg
fAp8ICAgICAgc2Nyb2xsZWQpICAgIHwgICAgICAgKGcgVEFCICAgICAgICB8CnwgICAgICAgICAg
ICAgICAgICAgfCAgICAgICAgICAgICAgICAgICAgIHwKfCAgICAgICAgICAgICAgICAgICB8ICAg
ICAgICAgICAgICAgICAgICAgfAp8ICAgICAgICAgICAgICAgICAgIHwgICAgICAgICAgICAgICAg
ICAgICB8CistLS0tLS0tLS0tLS0tLS0tLS0tKy0tLS0tLS0tLS0tLS0tLS0tLS0tLSsK
--001a1136b806a5ce1004f37a1a78
Content-Type: text/x-emacs-lisp; charset=US-ASCII; name="emacs.el"
Content-Disposition: attachment; filename="emacs.el"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hs7osj5u1

KGN1c3RvbS1zZXQtdmFyaWFibGVzCiAnKGluaGliaXQtc3RhcnR1cC1zY3JlZW4gdCkKICcoc3Bs
aXQtaGVpZ2h0LXRocmVzaG9sZCAxMCkKICcoc3BsaXQtd2lkdGgtdGhyZXNob2xkIDEwKQogJyh0
YWItYWx3YXlzLWluZGVudCAocXVvdGUgY29tcGxldGUpKSkKCjsgQSB3b3JrYXJvdW5kIGZvciB0
aGUgYnVnOgo7KHNldHEgb3RoZXItd2luZG93LXNjcm9sbC1idWZmZXIgIipDb21wbGV0aW9ucyoi
KQo=
--001a1136b806a5ce1004f37a1a78--




Acknowledgement sent to Lukasz Pawelczyk <havner@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16909; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.